---
title: Window.isSecureContext
slug: Web/API/Window/isSecureContext
tags:
  - API
  - Property
  - Reference
  - Security
  - Window
---
<p>{{APIRef}}</p>

<p>The<code> <strong>window.isSecureContext</strong></code> read-only property indicates whether a context is capable of using features that require <a href="/en-US/docs/Web/Security/Secure_Contexts">secure contexts</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>isSecure</em> = window.isSecureContext</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Feature_detection">Feature detection</h3>

<p>You can use feature detection to check whether they are in a secure context or not by using the <code>isSecureContext</code> boolean which is exposed on the global scope.</p>

<pre class="brush: js notranslate">if (window.isSecureContext) {
  // Page is a secure context so service workers are now available
  navigator.serviceWorker.register("/offline-worker.js").then(function () {
    ...
  });
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Secure Contexts')}}</td>
   <td>{{Spec2('Secure Contexts','#monkey-patching-global-object','isSecureContext')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.isSecureContext")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Security/Secure_Contexts">Secure contexts</a></li>
</ul>
